/** @type {import('@sveltejs/kit').Config} */
import preprocess from "svelte-preprocess";
import adapterStatic from '@sveltejs/adapter-static';

const config = {
	kit: {
		adapter: adapterStatic({
			// default options are shown
			pages: 'build',
			assets: 'build',
			fallback: null,
			precompress: false
		}),
		prerender: {
			// This can be false if you're using a fallback (i.e. SPA mode)
			default: true
		},
		files: {
			assets: 'static'
		}
	},
	preprocess: [
		preprocess({
			postcss: true
		})
	],
};

export default config;
